Uploaded image for project: 'CDAP'
  1. CDAP
  2. CDAP-12439

Installing UI pack should use Nodejs binary we ship rather than system nodejs

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 4.3.1
    • Component/s: UI
    • Labels:
    • Rank:
      1|hzy0rc:0nx

      Description

      Today applying ui pack on a standalone machine with higher version of nodejs version passes, however if the same is done on a cluster with an older version of cdap it fails.

      When applying UI pack we seem to use npm run scripts. Instead we should use the node we ship and run the upgrade pack.

        Attachments

          Activity

            People

            • Assignee:
              ajai Ajai Narayan
              Reporter:
              ajai Ajai Narayan
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: